Bug 25326 - FAIL: Run pr19579
Summary: FAIL: Run pr19579
Status: RESOLVED FIXED
Alias: None
Product: binutils
Classification: Unclassified
Component: ld (show other bugs)
Version: 2.34
: P2 normal
Target Milestone: ---
Assignee: Nick Clifton
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-12-30 23:03 UTC by John David Anglin
Modified: 2020-01-06 14:03 UTC (History)
1 user (show)

See Also:
Host: hppa-unknown-linux-gnu
Target: hppa-unknown-linux-gnu
Build: hppa-unknown-linux-gnu
Last reconfirmed:


Attachments
Proposed patch (277 bytes, patch)
2020-01-03 11:41 UTC, Nick Clifton
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description John David Anglin 2019-12-30 23:03:41 UTC
With gcc-10:

Executing on host: sh -c {gcc -B/home/dave/gnu/binutils/objdir/ld/tmpdir/ld/   -
L=/home/dave/opt/test/hppa-unknown-linux-gnu/lib -L=/home/dave/opt/test/lib -L=/
usr/local/lib -L=/lib -L=/usr/lib  -o tmpdir/pr19579  -L/home/dave/gnu/binutils/
src/ld/testsuite/ld-elf -pie -Wl,--no-as-needed,-z,text tmpdir/pr19579a.o tmpdir
/libpr19579.so tmpdir/dummy.o  2>&1}  /dev/null ld.tmp (timeout = 300)
spawn [open ...]
Running: tmpdir/pr19579 > tmpdir/pr19579.out
diff tmpdir/pr19579.out /home/dave/gnu/binutils/src/ld/testsuite/ld-elf/pass.out
0a1
> PASS
child process exited abnormally
FAIL: Run pr19579

Similar fail:
FAIL: Run pr19579 (-z now)
Comment 1 Nick Clifton 2020-01-03 11:41:02 UTC
Created attachment 12164 [details]
Proposed patch

Hi John,

  Please can you try out the attached patch and let me know if it solves the problem ?

Cheers
  Nick
Comment 2 dave.anglin 2020-01-04 20:55:25 UTC
On 2020-01-03 6:41 a.m., nickc at redhat dot com wrote:
>   Please can you try out the attached patch and let me know if it solves the
> problem ?
Yes, it resolves the failure.

Happy New Year,
Dave
Comment 3 cvs-commit@gcc.gnu.org 2020-01-06 14:02:39 UTC
The master branch has been updated by Nick Clifton <nickc@sourceware.org>:

https://sourceware.org/git/gitweb.cgi?p=binutils-gdb.git;h=d2dbcb18c6a44595a2034aa73a1ad7b60df114d3

commit d2dbcb18c6a44595a2034aa73a1ad7b60df114d3
Author: Nick Clifton <nickc@redhat.com>
Date:   Mon Jan 6 14:00:34 2020 +0000

    Fix test of the fix for PR19579 when compiling with gcc-10.
    
    	PR 25326
    	* testsuite/ld-elf/shared.exp: Add -fcommon option to compiler
    	command line when building pr19579 binaries.
Comment 4 Nick Clifton 2020-01-06 14:03:54 UTC
Patch applied.